# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org input driver for Synaptics touchpad devices
Name:		x11-driver-input-synaptics
Version:	1.7.6
Release:	3
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-synaptics-%{version}.tar.bz2
Source4:	70-touchpad-quirks.rules
#Mandriva/ROSA patches
Patch1:		0001-Always-enable-tapping-and-vertical-edge-scroll.patch
Patch2:		0002-When-appling-changes-via-property-mode-apply-to-all.patch
BuildRequires:	x11-util-macros
BuildRequires:	pkgconfig(mtdev)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xtst)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)
%rename synaptics

%description
Synaptics touchpad devices are extremely popular on laptops and this driver
is an MIT licensed alternative to the older GPL synaptics driver which is
no longer actively maintained.

%files
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_libdir}/xorg/modules/input/synaptics_drv.so
%{_mandir}/man1/synclient.*
%{_mandir}/man1/syndaemon.*
%{_mandir}/man4/synaptics.*
%{_datadir}/X11/xorg.conf.d/50-synaptics.conf
/lib/udev/rules.d/70-touchpad-quirks.rules

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for programing with the xorg synaptics driver
Group:		Development/C

%description devel
Development files for programing with the xorg synaptics driver.

%files devel
%{_includedir}/xorg/synaptics-properties.h
%{_libdir}/pkgconfig/xorg-synaptics.pc

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-input-synaptics-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

install -d %{buildroot}/lib/udev/rules.d/
install -m 0644 %{SOURCE4} %{buildroot}/lib/udev/rules.d/70-touchpad-quirks.rules

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.7.6-3
+ Revision: ab6df9f
- MassBuild#440: Increase release tag


